<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.8) on Wed Aug 12 16:32:57 CEST 2020 -->
<title>INbaMetaData</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-08-12">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="INbaMetaData";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/INbaMetaData.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">nl.naturalis.nba.api</a></div>
<h2 title="Interface INbaMetaData" class="title">Interface INbaMetaData</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public interface <span class="typeNameLabel">INbaMetaData</span></pre>
<div class="block">Specifies methods for retrieving general metadata about the NBA. Note that there also is an
 interface that specifies methods for retrieving metadata about a specific document type
 (<a href="INbaDocumentMetaData.html" title="interface in nl.naturalis.nba.api"><code>INbaDocumentMetaData</code></a>).</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Ayco Holleman</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAllowedDateFormats()">getAllowedDateFormats</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns the date formats that you can use to query date fields.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="model/AreaClass.html" title="enum in nl.naturalis.nba.api.model">AreaClass</a>[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getControlledListAreaClass()">getControlledListAreaClass</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns all valid values within the list controlling <a href="model/AreaClass.html" title="enum in nl.naturalis.nba.api.model"><code>AreaClass</code></a> fields.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="model/License.html" title="enum in nl.naturalis.nba.api.model">License</a>[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getControlledListLicense()">getControlledListLicense</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns all valid values within the list controlling <a href="model/License.html" title="enum in nl.naturalis.nba.api.model"><code>License</code></a> fields.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="model/LicenseType.html" title="enum in nl.naturalis.nba.api.model">LicenseType</a>[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getControlledListLicenseType()">getControlledListLicenseType</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns all valid values within the list controlling <a href="model/LicenseType.html" title="enum in nl.naturalis.nba.api.model"><code>LicenseType</code></a> fields.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getControlledLists()">getControlledLists</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns all controlled lists used within the NBA data model.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="model/Sex.html" title="enum in nl.naturalis.nba.api.model">Sex</a>[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getControlledListSex()">getControlledListSex</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns all valid values within the list controlling <a href="model/Sex.html" title="enum in nl.naturalis.nba.api.model"><code>Sex</code></a> fields.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="model/SpatialDatum.html" title="enum in nl.naturalis.nba.api.model">SpatialDatum</a>[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getControlledListSpatialDatum()">getControlledListSpatialDatum</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns all valid values within the list controlling <a href="model/SpatialDatum.html" title="enum in nl.naturalis.nba.api.model"><code>SpatialDatum</code></a> fields.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="model/SpecimenTypeStatus.html" title="enum in nl.naturalis.nba.api.model">SpecimenTypeStatus</a>[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getControlledListSpecimenTypeStatus()">getControlledListSpecimenTypeStatus</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns all valid values within the list controlling <a href="model/SpecimenTypeStatus.html" title="enum in nl.naturalis.nba.api.model"><code>SpecimenTypeStatus</code></a> fields.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="model/TaxonomicStatus.html" title="enum in nl.naturalis.nba.api.model">TaxonomicStatus</a>[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getControlledListTaxonomicStatus()">getControlledListTaxonomicStatus</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns all valid values within the list controlling <a href="model/TaxonomicStatus.html" title="enum in nl.naturalis.nba.api.model"><code>TaxonomicStatus</code></a> fields.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="model/TaxonRelationType.html" title="enum in nl.naturalis.nba.api.model">TaxonRelationType</a>[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getControlledListTaxonRelationType()">getControlledListTaxonRelationType</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns all valid values within the list controlling <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.management/javax/management/relation/RelationType.html?is-external=true" title="class or interface in javax.management.relation" class="externalLink"><code>RelationType</code></a> fields.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSetting(nl.naturalis.nba.api.model.metadata.NbaSetting)">getSetting</a></span>&#8203;(<a href="model/metadata/NbaSetting.html" title="enum in nl.naturalis.nba.api.model.metadata">NbaSetting</a>&nbsp;setting)</code></th>
<td class="colLast">
<div class="block">Returns the value of a document-independent configuration setting.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/Map.html?is-external=true" title="class or interface in java.util" class="externalLink">Map</a>&lt;<a href="model/metadata/NbaSetting.html" title="enum in nl.naturalis.nba.api.model.metadata">NbaSetting</a>,&#8203;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSettings()">getSettings</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns a map of all document-independent configuration settings and their values.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="model/SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a>[]</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getSourceSystems()">getSourceSystems</a></span>()</code></th>
<td class="colLast">
<div class="block">Returns all source systems feeding into the NBA.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getSetting(nl.naturalis.nba.api.model.metadata.NbaSetting)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSetting</h4>
<pre class="methodSignature"><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&nbsp;getSetting&#8203;(<a href="model/metadata/NbaSetting.html" title="enum in nl.naturalis.nba.api.model.metadata">NbaSetting</a>&nbsp;setting)</pre>
<div class="block">Returns the value of a document-independent configuration setting. Note that document-specific
 settings are retrieved using <a href="INbaDocumentMetaData.html#getSetting(nl.naturalis.nba.api.model.metadata.NbaSetting)"><code>INbaDocumentMetaData.getSetting(NbaSetting)</code></a> or
 <a href="INbaDocumentMetaData.html#getSettings()"><code>INbaDocumentMetaData.getSettings()</code></a>.
 </p>
 <h5>REST API</h5>
 <p>
 The NBA REST API exposes this method through a GET request with the following end point:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/metadata/getSetting/{name}
 </code>
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getSettings()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSettings</h4>
<pre class="methodSignature"><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/util/Map.html?is-external=true" title="class or interface in java.util" class="externalLink">Map</a>&lt;<a href="model/metadata/NbaSetting.html" title="enum in nl.naturalis.nba.api.model.metadata">NbaSetting</a>,&#8203;<a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/Object.html?is-external=true" title="class or interface in java.lang" class="externalLink">Object</a>&gt;&nbsp;getSettings()</pre>
<div class="block">Returns a map of all document-independent configuration settings and their values. Note that
 document-specific settings are retrieved using
 <a href="INbaDocumentMetaData.html#getSetting(nl.naturalis.nba.api.model.metadata.NbaSetting)"><code>INbaDocumentMetaData.getSetting(NbaSetting)</code></a> or
 <a href="INbaDocumentMetaData.html#getSettings()"><code>INbaDocumentMetaData.getSettings()</code></a>.
 </p>
 <h5>REST API</h5>
 <p>
 The NBA REST API exposes this method through a GET request with the following end point:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/metadata/getSettings
 </code>
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getSourceSystems()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSourceSystems</h4>
<pre class="methodSignature"><a href="model/SourceSystem.html" title="class in nl.naturalis.nba.api.model">SourceSystem</a>[]&nbsp;getSourceSystems()</pre>
<div class="block">Returns all source systems feeding into the NBA.
 </p>
 <h5>REST API</h5>
 <p>
 The NBA REST API exposes this method through a GET request with the following end point:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/metadata/getSourceSystems
 </code>
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getControlledLists()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getControlledLists</h4>
<pre class="methodSignature"><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>[]&nbsp;getControlledLists()</pre>
<div class="block">Returns all controlled lists used within the NBA data model.
 </p>
 <h5>REST API</h5>
 <p>
 The NBA REST API exposes this method through a GET request with the following end point:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/metadata/getControlledLists
 </code>
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getControlledListAreaClass()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getControlledListAreaClass</h4>
<pre class="methodSignature"><a href="model/AreaClass.html" title="enum in nl.naturalis.nba.api.model">AreaClass</a>[]&nbsp;getControlledListAreaClass()</pre>
<div class="block">Returns all valid values within the list controlling <a href="model/AreaClass.html" title="enum in nl.naturalis.nba.api.model"><code>AreaClass</code></a> fields.
 </p>
 <h5>REST API</h5>
 <p>
 The NBA REST API exposes this method through a GET request with the following end point:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/metadata/getControlledList/AreaClass
 </code>
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getControlledListLicense()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getControlledListLicense</h4>
<pre class="methodSignature"><a href="model/License.html" title="enum in nl.naturalis.nba.api.model">License</a>[]&nbsp;getControlledListLicense()</pre>
<div class="block">Returns all valid values within the list controlling <a href="model/License.html" title="enum in nl.naturalis.nba.api.model"><code>License</code></a> fields.
 </p>
 <h5>REST API</h5>
 <p>
 The NBA REST API exposes this method through a GET request with the following end point:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/metadata/getControlledList/License
 </code>
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getControlledListLicenseType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getControlledListLicenseType</h4>
<pre class="methodSignature"><a href="model/LicenseType.html" title="enum in nl.naturalis.nba.api.model">LicenseType</a>[]&nbsp;getControlledListLicenseType()</pre>
<div class="block">Returns all valid values within the list controlling <a href="model/LicenseType.html" title="enum in nl.naturalis.nba.api.model"><code>LicenseType</code></a> fields.
 </p>
 <h5>REST API</h5>
 <p>
 The NBA REST API exposes this method through a GET request with the following end point:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/metadata/getControlledList/LicenseType
 </code>
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getControlledListSex()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getControlledListSex</h4>
<pre class="methodSignature"><a href="model/Sex.html" title="enum in nl.naturalis.nba.api.model">Sex</a>[]&nbsp;getControlledListSex()</pre>
<div class="block">Returns all valid values within the list controlling <a href="model/Sex.html" title="enum in nl.naturalis.nba.api.model"><code>Sex</code></a> fields.
 </p>
 <h5>REST API</h5>
 <p>
 The NBA REST API exposes this method through a GET request with the following end point:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/metadata/getControlledList/Sex
 </code>
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getControlledListSpatialDatum()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getControlledListSpatialDatum</h4>
<pre class="methodSignature"><a href="model/SpatialDatum.html" title="enum in nl.naturalis.nba.api.model">SpatialDatum</a>[]&nbsp;getControlledListSpatialDatum()</pre>
<div class="block">Returns all valid values within the list controlling <a href="model/SpatialDatum.html" title="enum in nl.naturalis.nba.api.model"><code>SpatialDatum</code></a> fields.
 </p>
 <h5>REST API</h5>
 <p>
 The NBA REST API exposes this method through a GET request with the following end point:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/metadata/getControlledList/SpatialDatum
 </code>
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getControlledListTaxonRelationType()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getControlledListTaxonRelationType</h4>
<pre class="methodSignature"><a href="model/TaxonRelationType.html" title="enum in nl.naturalis.nba.api.model">TaxonRelationType</a>[]&nbsp;getControlledListTaxonRelationType()</pre>
<div class="block">Returns all valid values within the list controlling <a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.management/javax/management/relation/RelationType.html?is-external=true" title="class or interface in javax.management.relation" class="externalLink"><code>RelationType</code></a> fields.
 </p>
 <h5>REST API</h5>
 <p>
 The NBA REST API exposes this method through a GET request with the following end point:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/metadata/getControlledList/RelationType
 </code>
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getControlledListSpecimenTypeStatus()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getControlledListSpecimenTypeStatus</h4>
<pre class="methodSignature"><a href="model/SpecimenTypeStatus.html" title="enum in nl.naturalis.nba.api.model">SpecimenTypeStatus</a>[]&nbsp;getControlledListSpecimenTypeStatus()</pre>
<div class="block">Returns all valid values within the list controlling <a href="model/SpecimenTypeStatus.html" title="enum in nl.naturalis.nba.api.model"><code>SpecimenTypeStatus</code></a> fields.
 </p>
 <h5>REST API</h5>
 <p>
 The NBA REST API exposes this method through a GET request with the following end point:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/metadata/getControlledList/SpecimenTypeStatus
 </code>
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getControlledListTaxonomicStatus()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getControlledListTaxonomicStatus</h4>
<pre class="methodSignature"><a href="model/TaxonomicStatus.html" title="enum in nl.naturalis.nba.api.model">TaxonomicStatus</a>[]&nbsp;getControlledListTaxonomicStatus()</pre>
<div class="block">Returns all valid values within the list controlling <a href="model/TaxonomicStatus.html" title="enum in nl.naturalis.nba.api.model"><code>TaxonomicStatus</code></a> fields.
 </p>
 <h5>REST API</h5>
 <p>
 The NBA REST API exposes this method through a GET request with the following end point:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/metadata/getControlledList/TaxonomicStatus
 </code>
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
<a id="getAllowedDateFormats()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getAllowedDateFormats</h4>
<pre class="methodSignature"><a href="https://docs.oracle.com/en/java/javase/11/docs/api/java.base/java/lang/String.html?is-external=true" title="class or interface in java.lang" class="externalLink">String</a>[]&nbsp;getAllowedDateFormats()</pre>
<div class="block">Returns the date formats that you can use to query date fields. The default date format is
 "yyyy-MM-dd'T'HH:mm:ss.SSSZ". Strings using one of the other allowed date formats are first
 converted to this format before being embedded in an Elasticsearch query.
 </p>
 <h5>REST API</h5>
 <p>
 The NBA REST API exposes this method through a GET request with the following end point:
 </p>
 <p>
 <code>
 https://api.biodiversitydata.nl/v2/metadata/getAllowedDateFormats
 </code>
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/INbaMetaData.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
